@import url('./global.css');

body {
  background: var(--primary-foreground) url('../assets/hero-bg.png') no-repeat center/cover;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

nav {
  padding: 24px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

nav .links-wrapper {
  display: flex;
  align-items: center;
  gap: 1rem;
}

main {
  padding: 80px 16px;
}

.main-content {
  margin: 0 auto;
  max-width: 48rem;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
}

.main-content .rings-wrapper {
  margin-bottom: 2rem;
  width: 96px;
  background-color: var(--white);
  border-radius: 25%;
  box-shadow: 0 3px 7px hsl(from var(--black) h s l / .1);
  user-select: none;
  pointer-events: none;
}

.main-content .rings-wrapper img {
  width: 100%;
  vertical-align: middle;
}

.main-content h1 {
  font-size: 4.5em;
  font-weight: 400;
  line-height: 125%;
  letter-spacing: -.025em;
}

.main-content p {
  margin-top: 1.5rem;
  max-width: 672px;
  font-size: 1.25rem;
  line-height: 140%;
  animation-delay: .2s;
  animation-fill-mode: backwards;
}

.main-content .cta-button {
  margin-top: 2.5rem;
  padding: 16px 32px;
  font-size: 1.125rem;
  line-height: 1.75rem;
  animation-delay: .4s;
  animation-fill-mode: backwards;
}

.cards-wrapper {
  margin: 8rem auto 0;
  max-width: 64rem;
  width: 100%;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: calc(.25rem * 12);
}

.cards-wrapper .card {
  padding: calc(.26rem * 8);
  flex: 1;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: .5rem;
  background-color: hsl(from var(--white) h s l / .7);
  backdrop-filter: blur(12px);
  border-radius: 1.5rem;
  box-shadow: 0 4px 11px hsl(from var(--black) h s l / .1);
}

.cards-wrapper .card-icon {
  margin-bottom: .5rem;
  padding: calc(.25rem * 3);
  background-color: color-mix(in oklab, var(--primary) 10%, transparent);
  border-radius: 1rem;
}

.cards-wrapper .card svg {
  width: 2rem;
  height: 2rem;
  stroke: var(--primary);
  vertical-align: middle;
}

.cards-wrapper .card h3 {
  font-size: 1.25rem;
  font-weight: 500;
}

.cards-wrapper .card p {
  text-align: left;
  line-height: 162%;
}

footer {
  padding: 60px 20px;
  display: flex;
  /* display: none; */
  flex-direction: column;
  justify-content: center;
  align-items: center;
  border-top: 2px solid #dfd9d366;
  line-height: 150%;
}


@media screen and (max-width: 800px) {
  .main-content {
    padding-inline: .5rem;
    font-size: 11px;
    max-width: 40rem;
  }

  .main-content h1 {
    text-wrap: balance;
  }

  .main-content p {
    font-size: 1.125rem;
  }

  .cards-wrapper {
    margin-top: 6rem;
    grid-template-columns: 1fr;
  }
}

@media screen and (max-width: 480px) {
  .hide-mobile {
    display: none;
    width: 0;
  }
}